Bug 49067 - FTPOptions ShowUnAuthorizedFiles does not work
Summary: FTPOptions ShowUnAuthorizedFiles does not work
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ftp (show other bugs)
Version: 2.2.13
Hardware: PC Windows XP
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-04-08 00:19 UTC by Jeff
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff 2010-04-08 00:19:10 UTC
Although this is set in the virtual host, executing a LIST from an FTP client does not show unauthorized folders - instead unauthorized folders are hidden.  The LIST function does return a directory listing when using standard FTP.  When connected over SSL, the LIST function does not even return a directory listing when there are unauthorized folders.
Comment 1 William A. Rowe Jr. 2011-06-22 21:05:18 UTC
Noted, will research, thanks for the report!
Comment 2 William A. Rowe Jr. 2015-12-16 22:43:35 UTC
This sounds like another symptom of bug 58727 and not specific to mod_ftp.
Comment 3 William A. Rowe Jr. 2018-11-07 21:08:30 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.